DROP SCHEMA api CASCADE;

CREATE SCHEMA api;

--
-- Name: f_ifi_names(integer); Type: FUNCTION; Schema: api; Owner: -
--
CREATE FUNCTION api.f_ifi_names(integer) RETURNS TABLE(ifi_name_original text, ifi_name_original_country character varying, ifi_name_current text, ifi_name_current_country character varying)
    LANGUAGE plpgsql
    AS $_$
  BEGIN
    RETURN QUERY SELECT * FROM cdws.f_ifi_names( $1 );
  END;
$_$;

--
-- Name: f_backward_citations(integer); Type: FUNCTION; Schema: api; Owner: -
--
CREATE FUNCTION api.f_backward_citations(integer) RETURNS TABLE(ucid text, source text)
    LANGUAGE plpgsql STABLE
    AS $_$
  BEGIN
    RETURN QUERY SELECT * FROM cdws.f_citations_backward( $1 );
  END;
$_$;

--
-- Name: f_forward_citations(integer); Type: FUNCTION; Schema: api; Owner: -
--
CREATE FUNCTION api.f_forward_citations(integer) RETURNS TABLE(ucid text, source text)
    LANGUAGE plpgsql STABLE
    AS $_$
  BEGIN
    RETURN QUERY SELECT * FROM cdws.f_citations_forward( $1 );
  END;
$_$;

--
-- Name: f_simple_family(integer); Type: FUNCTION; Schema: api; Owner: -
--
CREATE FUNCTION api.f_simple_family(v_pub_id integer) RETURNS TABLE(ucid character varying, family_id integer)
    LANGUAGE plpgsql STRICT
    AS $$
  BEGIN
    RETURN QUERY SELECT * FROM cdws.f_family_simple( $1 );
  END;
$$;

--
-- Name: f_extended_family(integer); Type: FUNCTION; Schema: api; Owner: -
--
CREATE FUNCTION api.f_extended_family(v_pub_id integer) RETURNS TABLE(ucid character varying, level integer)
    LANGUAGE plpgsql STRICT
    AS $$
  BEGIN
    RETURN QUERY SELECT a.ucid, a.level FROM cdws.f_family_extended( $1 ) as a;
  END;
$$;

--
-- Name: f_update_cited_documents(integer); Type: FUNCTION; Schema: api; Owner: -
--

CREATE FUNCTION api.f_update_cited_documents(v_load_id integer) RETURNS void
    LANGUAGE plpgsql
    AS $$
  BEGIN
    PERFORM cdws.f_update_cited_documents( $1 );
  END;
$$;

--
-- Name: f_update_priority_documents(integer); Type: FUNCTION; Schema: api; Owner: -
--
CREATE FUNCTION api.f_update_priority_documents(v_load_id integer) RETURNS void
    LANGUAGE plpgsql
    AS $$
  BEGIN
    PERFORM cdws.f_update_priority_documents( $1 );
  END;
$$;

